hakyll-4.7.5.1: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.Writable

Description

Describes writable items; items that can be saved to the disk

Synopsis

- class Writable a where
  - write :: FilePath -> Item a -> IO ()

# Documentation

class Writable a where Source

Describes an item that can be saved to the disk

Methods

write :: FilePath -> Item a -> IO () Source

Save an item to the given filepath

Instances

Writable () Source |
Writable ByteString Source |
Writable ByteString Source |
Writable Html Source |
Writable Template Source |
Writable TmpFile Source |
Writable CopyFile Source |
Writable Biblio Source |
Writable CSL Source |
Writable [Char] Source |
Writable [Word8] Source |